
// dtree.hh [demo]


class TreeEntry : public UHbox {
public:
  UMenu *file_menu;
  UVbox *child_handle;
  bool dir_init;

  TreeEntry(const char *filename, bool isdir, UMenu *filemenu);

  void fold(UEvent&);
  void unfold(UEvent&);
};


class MyTreeDialog : public UDialog {
public:
  MyTreeDialog(UMenu*, UArgs = UArgs::none);
};
